<template>
  <div class="container">
    <div>
      <logo />
      <h1 class="title">
        forex-customer-nuxt
      </h1>
      <h2 class="subtitle">
        Forex Customer Nuxt
      </h2>
      <div class="links">
        <a
          href="https://nuxtjs.org/"
          target="_blank"
          class="button--green"
        >
          Documentation
        </a>
        <a
          href="https://github.com/nuxt/nuxt.js"
          target="_blank"
          class="button--grey"
        >
          GitHub
        </a>
      </div>
    </div>
  </div>
</template>

<script>
import Logo from '~/components/Logo.vue';
import ax from '@/axiosInstance';

export default {
  components: {
    Logo
  },
  data() { },
  created() {
    if (this.$route.query.token) {
      let token = this.$route.query.token;
      this.$cookiz.set('access_token', this.$route.query.token);
      this.validateToken();
    } else {
      if (process.browser) {
        location.href = 'https://coincityfx.com';
      }
    }    
  },
  methods: {
    async validateToken() {
      await ax.get('auth/user').then((res) => {
        this.$cookiz.set('user', res.data);
        this.$router.push('/exchange');
      }).catch(err => {
        if (process.browser) {
          location.href = 'https://coincityfx.com';
        }
        console.log(err)
      });
    }
  }
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.title {
  font-family: 'Quicksand', 'Source Sans Pro', -apple-system, BlinkMacSystemFont,
    'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}
</style>
